Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.spi
Class JDOImplHelper.Meta

    java.lang.Object
      |
      +--javax.jdo.spi.JDOImplHelper.Meta

Enclosing class:
  JDOImplHelper

static class JDOImplHelper.Meta
extends java.lang.Object

This is a helper class to manage metadata per persistence-capable class. The information is used at runtime to provide field names and field types to the JDO Model. This is the value of the `HashMap` which relates the `PersistenceCapable Class` as a key to the metadata.

Field Summary
`(package private) byte[]` | `fieldFlags` This is an array of field flags used for the Model at runtime.
`(package private) java.lang.String[]` | `fieldNames` This is an array of field names used for the Model at runtime.
`(package private) java.lang.Class[]` | `fieldTypes` This is an array of field types used for the Model at runtime.
`(package private) PersistenceCapable` | `pc` This is an instance of `PersistenceCapable`, used at runtime to create new instances.
`(package private) java.lang.Class` | `persistenceCapableSuperclass` This is the `Class` instance of the `PersistenceCapable` superclass.

Constructor Summary
`(package private)` | `JDOImplHelper.Meta(java.lang.String[] fieldNames, java.lang.Class[] fieldTypes, byte[] fieldFlags, java.lang.Class persistenceCapableSuperclass, PersistenceCapable pc)` Construct an instance of `Meta`.

Method Summary
`(package private) byte[]` | `getFieldFlags()` Get the field types from the metadata.
`(package private) java.lang.String[]` | `getFieldNames()` Get the field names from the metadata.
`(package private) java.lang.Class[]` | `getFieldTypes()` Get the field types from the metadata.
`(package private) PersistenceCapable` | `getPC()` Get an instance of the `PersistenceCapable` class.
`(package private) java.lang.Class` | `getPersistenceCapableSuperclass()` Return the `PersistenceCapable` superclass.
`java.lang.String` | `toString()` Return the string form of the metadata.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fieldNames

    java.lang.String[] fieldNames

  This is an array of field names used for the Model at runtime. The field is passed by the static class initialization.

### fieldTypes

    java.lang.Class[] fieldTypes

  This is an array of field types used for the Model at runtime. The field is passed by the static class initialization.

### fieldFlags

    byte[] fieldFlags

  This is an array of field flags used for the Model at runtime. The field is passed by the static class initialization.

### persistenceCapableSuperclass

    java.lang.Class persistenceCapableSuperclass

  This is the `Class` instance of the `PersistenceCapable` superclass.

### pc

    PersistenceCapable pc

  This is an instance of `PersistenceCapable`, used at runtime to create new instances.

Constructor Detail

### JDOImplHelper.Meta

    JDOImplHelper.Meta(java.lang.String[] fieldNames,
                       java.lang.Class[] fieldTypes,
                       byte[] fieldFlags,
                       java.lang.Class persistenceCapableSuperclass,
                       PersistenceCapable pc)

  Construct an instance of `Meta`.

Parameters:
  `fieldNames` - An array of `String`
  `fieldTypes` - An array of `Class`
  `fieldFlags` - an array of `int`
  `persistenceCapableSuperclass` - the most immediate `PersistenceCapable` superclass
  `pc` - An instance of the `PersistenceCapable` class

Method Detail

### getFieldNames

    java.lang.String[] getFieldNames()

  Get the field names from the metadata.

  Returns:
    the array of field names.

### getFieldTypes

    java.lang.Class[] getFieldTypes()

  Get the field types from the metadata.

  Returns:
    the array of field types.

### getFieldFlags

    byte[] getFieldFlags()

  Get the field types from the metadata.

  Returns:
    the array of field types.

### getPersistenceCapableSuperclass

    java.lang.Class getPersistenceCapableSuperclass()

  Return the `PersistenceCapable` superclass.

  Returns:
    the `PersistenceCapable` superclass

### getPC

    PersistenceCapable getPC()

  Get an instance of the `PersistenceCapable` class.

  Returns:
    an instance of the `PersistenceCapable Class`.

### toString

    public java.lang.String toString()

  Return the string form of the metadata.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the string form

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD